#############################################################################
# Makefile for building: ../bin/MrPropre
# Generated by qmake (1.07a) (Qt 3.3.8b) on: Thu Apr 21 07:59:03 2011
# Project:  src.pro
# Template: app
# Command: $(QMAKE) -o Makefile src.pro
#############################################################################

####### Compiler, tools and options

CC       = gcc
CXX      = g++
LEX      = flex
YACC     = yacc
CFLAGS   = -pipe -g -Wall -W -O2 -D_REENTRANT  -DQT_NO_DEBUG -DQT_THREAD_SUPPORT -DQT_SHARED -DQT_TABLET_SUPPORT
CXXFLAGS = -pipe -g -Wall -W -O2 -D_REENTRANT  -DQT_NO_DEBUG -DQT_THREAD_SUPPORT -DQT_SHARED -DQT_TABLET_SUPPORT
LEXFLAGS = 
YACCFLAGS= -d
INCPATH  = -I/usr/share/qt3/mkspecs/default -I. -I/usr/include/qt3 -Iui/ -I.
LINK     = g++
LFLAGS   = 
LIBS     = $(SUBLIBS) -L/usr/share/qt3/lib -L/usr/X11R6/lib -lqt-mt -lXext -lX11 -lm -lpthread
AR       = ar cqs
RANLIB   = 
MOC      = /usr/share/qt3/bin/moc
UIC      = /usr/share/qt3/bin/uic
QMAKE    = qmake
TAR      = tar -cf
GZIP     = gzip -9f
COPY     = cp -f
COPY_FILE= $(COPY)
COPY_DIR = $(COPY) -r
INSTALL_FILE= $(COPY_FILE)
INSTALL_DIR = $(COPY_DIR)
DEL_FILE = rm -f
SYMLINK  = ln -sf
DEL_DIR  = rmdir
MOVE     = mv -f
CHK_DIR_EXISTS= test -d
MKDIR    = mkdir -p

####### Output directory

OBJECTS_DIR = ./

####### Files

HEADERS = C_Dlg_MainDialog.h \
		../../MedinTuxTools/CGestIni.h
SOURCES = main.cpp \
		C_Dlg_MainDialog.cpp \
		../../MedinTuxTools/CGestIni.cpp
OBJECTS = main.o \
		C_Dlg_MainDialog.o \
		CGestIni.o \
		Dlg_MainDialog.o
FORMS = Dlg_MainDialog.ui
UICDECLS = ui/Dlg_MainDialog.h
UICIMPLS = ui/Dlg_MainDialog.cpp
SRCMOC   = moc_C_Dlg_MainDialog.cpp \
		moc_Dlg_MainDialog.cpp
OBJMOC = moc_C_Dlg_MainDialog.o \
		moc_Dlg_MainDialog.o
DIST	   = src.pro
QMAKE_TARGET = MrPropre
DESTDIR  = ../bin/
TARGET   = ../bin/MrPropre

first: all
####### Implicit rules

.SUFFIXES: .c .o .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(UICDECLS) $(OBJECTS) $(OBJMOC)  
	test -d ../bin/ || mkdir -p ../bin/
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(OBJCOMP) $(LIBS)

mocables: $(SRCMOC)
uicables: $(UICDECLS) $(UICIMPLS)

$(MOC): 
	( cd $(QTDIR)/src/moc && $(MAKE) )

Makefile: src.pro  /usr/share/qt3/mkspecs/default/qmake.conf /usr/share/qt3/lib/libqt-mt.prl
	$(QMAKE) -o Makefile src.pro
qmake: 
	@$(QMAKE) -o Makefile src.pro

dist: 
	@mkdir -p .tmp/MrPropre && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) .tmp/MrPropre/ && ( cd `dirname .tmp/MrPropre` && $(TAR) MrPropre.tar MrPropre && $(GZIP) MrPropre.tar ) && $(MOVE) `dirname .tmp/MrPropre`/MrPropre.tar.gz . && $(DEL_FILE) -r .tmp/MrPropre

mocclean:
	-$(DEL_FILE) $(OBJMOC)
	-$(DEL_FILE) $(SRCMOC)

uiclean:
	-$(DEL_FILE) $(UICIMPLS) $(UICDECLS)

yaccclean:
lexclean:
clean: mocclean uiclean
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) ../bin/$(TARGET) $(TARGET)


FORCE:

####### Compile

main.o: main.cpp C_Dlg_MainDialog.h \
		ui/Dlg_MainDialog.h

C_Dlg_MainDialog.o: C_Dlg_MainDialog.cpp C_Dlg_MainDialog.h \
		../../MedinTuxTools/CGestIni.h \
		ui/Dlg_MainDialog.h

CGestIni.o: ../../MedinTuxTools/CGestIni.cpp ../../MedinTuxTools/CGestIni.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o CGestIni.o ../../MedinTuxTools/CGestIni.cpp

ui/Dlg_MainDialog.h: Dlg_MainDialog.ui 
	$(UIC) Dlg_MainDialog.ui -o ui/Dlg_MainDialog.h

ui/Dlg_MainDialog.cpp: ui/Dlg_MainDialog.h Dlg_MainDialog.ui 
	$(UIC) Dlg_MainDialog.ui -i Dlg_MainDialog.h -o ui/Dlg_MainDialog.cpp

Dlg_MainDialog.o: ui/Dlg_MainDialog.cpp ui/Dlg_MainDialog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o Dlg_MainDialog.o ui/Dlg_MainDialog.cpp

moc_C_Dlg_MainDialog.o: moc_C_Dlg_MainDialog.cpp  C_Dlg_MainDialog.h ui/Dlg_MainDialog.h

moc_Dlg_MainDialog.o: moc_Dlg_MainDialog.cpp  ui/Dlg_MainDialog.h 

moc_C_Dlg_MainDialog.cpp: $(MOC) C_Dlg_MainDialog.h
	$(MOC) C_Dlg_MainDialog.h -o moc_C_Dlg_MainDialog.cpp

moc_Dlg_MainDialog.cpp: $(MOC) ui/Dlg_MainDialog.h
	$(MOC) ui/Dlg_MainDialog.h -o moc_Dlg_MainDialog.cpp

####### Install

install:  

uninstall:  

